<?xml version="1.0" encoding="UTF-8" ?>
<jsp:root
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:c="http://java.sun.com/jsp/jstl/core"
	xmlns:og="hybs-taglib.tld"
	version="2.0">
<jsp:directive.page language="java" contentType="text/html; charset=UTF-8" />
<og:head headType="query" />

<jsp:directive.include file="/jsp/custom/query_info.jsp" />
<og:comment
	system	= "GF:エンジンサンプル"
	pgid	= "GG0040"
	title	= "履歴ﾃｰﾌﾞﾙ"
	date	= "2021/03/25"
	author	= "K.HASEGAWA"
	text	= ""
	version	= "001"
/>

<form method="GET" action="forward.jsp" target="RESULT"  onSubmit="timeSet();">
	<!-- 変更はここから -->
	<table summary="layout" >
		<tr>
			<og:column name="JUDG"		/>
			<og:column name="DYFROM" defaultVal="{@DATE.YMD @YMDFROM M-1}" size="8" lbl="DY_HATU"  colspan="3"
										placeholder="{@DATE.YMDF M-1}" >	<!-- １ヶ月前 -->
				{@LBL.KARA}
				<og:column name="DYTO" defaultVal="{@DATE.YMD @YMDTO}" size="8" td="false"
										placeholder="{@DATE.YMDF}" />
			</og:column>
			<!-- GG03 の 選択ﾀｲﾌﾟ(SEL_TYPE)='1' で、SET_GRP をキーに登録している選択肢 -->
			<og:column name="SET_GRP"	editor="DBMENU"
					param="select SEL_VAL,SEL_NM ,'',SEL_GRP,SEQNO from GG03 where SEL_TYPE='1' and SEL_KEY='SET_GRP' and FGJ='1'
							order by 5,4,1,2"
			>
				<og:link gamenId="GG0030" href="index.jsp" target="CONTENTS" lbl=" (※)"
					keys="SEL_TYPE,SEL_KEY,command" vals="1,SET_GRP,NEW" />
			</og:column>

			<!-- GG03 の 選択ﾀｲﾌﾟ(SEL_TYPE)='2' に登録している選択肢 -->
			<og:column name="SET_KEY"	editor="DBMENU"
					param="select SEL_VAL,SEL_NM ,'',SEL_GRP,SEQNO from GG03 where SEL_TYPE='2' and FGJ='1'
							order by 4,5,2.1"
			>
				<og:link gamenId="GG0030" href="index.jsp" target="CONTENTS" lbl=" (※)"
					keys="SEL_TYPE,command" vals="2,NEW" />
			</og:column>
		</tr>
		<tr>
			<og:column name="TKN_NM"	aimai="V*" colspan="3" />
			<og:column name="TOKEN"		aimai="V*"	/>
			<og:column name="TKN_GRP"	>
				<og:link gamenId="GG0030" href="index.jsp" target="CONTENTS" lbl=" (※)"
					keys="SEL_TYPE,SEL_KEY,command" vals="0,TKN_GRP,NEW" />
			</og:column>
		</tr>
	</table>

	<og:queryButton>
		<og:select name="ORDER_BY" lbl="ORDER_BY" td="no">
			<og:option value="A.DY_HATU,A.SET_KEY,A.SET_GRP,C.ROWNO,C.COLNO"	lbls ="DY_HATU,SET_KEY,SET_GRP,ROWNO,COLNO"		selected="selected"  />
			<og:option value="A.DY_HATU,A.SET_KEY,A.SET_GRP,A.TOKEN"			lbls ="DY_HATU,SET_KEY,SET_GRP,TOKEN"			 />
			<og:option value="A.SET_GRP,A.TOKEN,A.DY_HATU,A.SET_KEY"			lbls ="SET_GRP,TOKEN,DY_HATU,SET_KEY" />
		</og:select>
	</og:queryButton>

	<!-- 拡張検索条件 -->
	<og:hideMenu>
		<table summary="layout" >
			<tr>
				<og:column name="VAL"		aimai="V*"	/>
				<og:column name="BIKO"		aimai="V*"	/>
				<og:column name="RIYU"		aimai="V*"	/>
			</tr>
		</table>
	</og:hideMenu>
</form>

<jsp:directive.include file="/jsp/common/htmlend.jsp" />
</jsp:root>
